org.apache.storm.sql.planner.rel

## Class StormJoinRelBase

- java.lang.Object
- - org.apache.calcite.rel.AbstractRelNode
  - - org.apache.calcite.rel.BiRel
    - - org.apache.calcite.rel.core.Join
      - - org.apache.storm.sql.planner.rel.StormJoinRelBase

- All Implemented Interfaces:
    Cloneable, org.apache.calcite.plan.RelOptNode, org.apache.calcite.rel.RelNode, StormRelNode

      public abstract class StormJoinRelBase
      extends org.apache.calcite.rel.core.Join
      implements StormRelNode

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.calcite.rel.RelNode

      `org.apache.calcite.rel.RelNode.Context`

  - ### Field Summary

    - ### Fields inherited from class org.apache.calcite.rel.core.Join

      `condition, joinType, variablesSet`

    - ### Fields inherited from class org.apache.calcite.rel.BiRel

      `left, right`

    - ### Fields inherited from class org.apache.calcite.rel.AbstractRelNode

      `digest, id, rowType, traitSet`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StormJoinRelBase(org.apache.calcite.plan.RelOptCluster cluster, org.apache.calcite.plan.RelTraitSet traitSet, org.apache.calcite.rel.RelNode left, org.apache.calcite.rel.RelNode right, org.apache.calcite.rex.RexNode condition, Set<org.apache.calcite.rel.core.CorrelationId> variablesSet, org.apache.calcite.rel.core.JoinRelType joinType)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.calcite.rel.core.Join

      `accept, analyzeCondition, computeSelfCost, copy, copy, createJoinType, deriveJoinRowType, deriveRowType, estimateJoinedRows, estimateRowCount, explainTerms, getChildExps, getCondition, getJoinType, getSystemFieldList, getVariablesSet, isSemiJoinDone, isValid`

    - ### Methods inherited from class org.apache.calcite.rel.BiRel

      `childrenAccept, getInputs, getLeft, getRight, replaceInput`

    - ### Methods inherited from class org.apache.calcite.rel.AbstractRelNode

      `accept, collectVariablesSet, collectVariablesUsed, computeDigest, computeSelfCost, explain, getCluster, getCollationList, getConvention, getCorrelVariable, getDescription, getDigest, getExpectedInputRowType, getId, getInput, getQuery, getRelTypeName, getRows, getRowType, getTable, getTraitSet, getVariablesStopped, isDistinct, isKey, isValid, metadata, onRegister, recomputeDigest, register, sole, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.calcite.rel.RelNode

      `accept, accept, childrenAccept, collectVariablesSet, collectVariablesUsed, computeSelfCost, computeSelfCost, copy, estimateRowCount, explain, getChildExps, getCollationList, getConvention, getCorrelVariable, getExpectedInputRowType, getInput, getInputs, getQuery, getRelTypeName, getRows, getRowType, getTable, getVariablesSet, getVariablesStopped, isDistinct, isKey, isValid, isValid, metadata, onRegister, recomputeDigest, register, replaceInput`

    - ### Methods inherited from interface org.apache.calcite.plan.RelOptNode

      `getCluster, getDescription, getDigest, getId, getTraitSet`

- - ### Constructor Detail

    - #### StormJoinRelBase

          protected StormJoinRelBase(org.apache.calcite.plan.RelOptCluster cluster,
                                     org.apache.calcite.plan.RelTraitSet traitSet,
                                     org.apache.calcite.rel.RelNode left,
                                     org.apache.calcite.rel.RelNode right,
                                     org.apache.calcite.rex.RexNode condition,
                                     Set<org.apache.calcite.rel.core.CorrelationId> variablesSet,
                                     org.apache.calcite.rel.core.JoinRelType joinType)

Copyright © 2021 The Apache Software Foundation. All rights reserved.